- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# LASi::setFontSize Class Reference

stream manipulator applied to oPostscriptStream. More...

`#include <LASi.h>`

List of all members.

## Public Member Functions
| setFontSize (double size)
| Usage: os << setFontSize(12) << .
## Protected Member Functions
void | apply (oPostscriptStream &os) const
## Private Attributes
double | _size
## Friends
oPostscriptStream & | operator<< (oPostscriptStream &os, const setFontSize &x)
| Stream inserter for 'setFontSize' stream manipulator.

## Detailed Description

stream manipulator applied to oPostscriptStream.

## Constructor & Destructor Documentation

LASi::setFontSize::setFontSize | ( | double | size | ) | `[inline]`

Usage: os << setFontSize(12) << .

..

Parameters:

  | size | size in points

## Member Function Documentation

void LASi::setFontSize::apply | ( | oPostscriptStream & | os | ) | const`[inline, protected]`

## Friends And Related Function Documentation

oPostscriptStream& operator<< | ( | oPostscriptStream & | os,
|  | const setFontSize & | x |
| ) |  |  | `[friend]`

Stream inserter for 'setFontSize' stream manipulator.

## Member Data Documentation

double LASi::setFontSize::_size`[private]`

The documentation for this class was generated from the following file:

- LASi.h